Bug 1308356 - libsigrok or pulseview or missing a dependecy on libserialport 0.1.1
libsigrok or pulseview or missing a dependecy on libserialport 0.1.1
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: libsigrok (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Alex G.
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-14 13:51 EST by Till Maas
Modified: 2016-12-20 13:43 EST (History)
3 users (show)

See Also:
Fixed In Version: libsigrok-0.4.0-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:43:48 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
add missing requires to libsigrok (395 bytes, patch)
2016-05-27 09:17 EDT, Till Maas
no flags Details | Diff
add version info to libserialport (2.46 KB, patch)
2016-05-27 10:52 EDT, Dan Horák
no flags Details | Diff

  None (edit)
Description Till Maas 2016-02-14 13:51:55 EST
Description of problem:
When pulseview 0.3.0 with libsigrok 0.4.0 is updated on F23, libserialport is not updated to 0.1.1 - but without it pulseview just states:
pulseview: symbol lookup error: /lib64/libsigrok.so.3: undefined symbol: sp_get_port_usb_vid_pid
Comment 1 Fedora Update System 2016-02-14 17:49:06 EST
libserialport-0.1.1-0.fc23 libsigrok-0.4.0-1.fc23 libsigrokdecode-0.4.0-0.fc23 pulseview-0.3.0-1.fc23 sigrok-cli-0.6.0-0.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-25730450b6
Comment 2 Fedora Update System 2016-02-17 01:30:15 EST
libserialport-0.1.1-0.fc23, libsigrok-0.4.0-1.fc23, libsigrokdecode-0.4.0-0.fc23, pulseview-0.3.0-1.fc23, sigrok-cli-0.6.0-0.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-25730450b6
Comment 3 Fedora Update System 2016-02-26 02:24:39 EST
libserialport-0.1.1-0.fc23, libsigrok-0.4.0-1.fc23, libsigrokdecode-0.4.0-0.fc23, pulseview-0.3.0-1.fc23, sigrok-cli-0.6.0-0.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 4 Till Maas 2016-05-27 09:13:11 EDT
This is not fixed in libsigrok.x86_64 0.4.0-1.fc23
Comment 5 Till Maas 2016-05-27 09:17 EDT
Created attachment 1162480 [details]
add missing requires to libsigrok

this patch might fix this bug
Comment 6 Dan Horák 2016-05-27 09:54:20 EDT
I see what the problem is, same soname, but new APIs added and being used by ligsigrok. The proper solution would be to use symbol versioning in libserialport.
Comment 7 Alex G. 2016-05-27 10:39:57 EDT
Let me look into this, but I'm leaning on adding a Requires. Though I would have expected this to be a no-issue, as libserialport-devel requirement is already >= 0.1.1
Comment 8 Dan Horák 2016-05-27 10:52 EDT
Created attachment 1162508 [details]
add version info to libserialport

The problem is with the runtime dependency, the library in both 0.1.0 and 0.1.1 versions is identified by "libserialport.so.0" as soname, so the package mgmt tools think it's up-to-date. So either an explicit Requires or a fix in libserialport (as the proposed patch) is needed.
Comment 9 Fedora End Of Life 2016-11-24 10:34:07 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2016-12-20 13:43:48 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.